/*

フォームメソッド：
フォームにサーバー側のファイルのリストを表示し、表示するPDFをオペレーターに選択させる

*/

Case of 
	: (Form event code:C388=On Load:K2:1)
		
		//サーバー側で常に動作するメソッドからリストを受け取る
		Form:C1466.LIST:=PDF_List
		
	: (Form event code:C388=On Unload:K2:2)
		
		//テンポラリーに作成したファイルがあれば削除する
		var $file : 4D:C1709.File
		$file:=File:C1566(Temporary folder:C486+"com.exsample"+Folder separator:K24:12+Current process name:C1392+".pdf"; fk platform path:K87:2)
		If ($file.exists)
			$file.delete()
		End if 
		
	: (FORM Event:C1606.objectName="List PDFs")
		
		WA OPEN URL:C1020(*; "Web Area"; "about:blank")
		
End case 

//ファイルリストの選択状態によってボタンを選択可／選択不可にする
OBJECT SET ENABLED:C1123(*; "Button display PDF@"; Form:C1466.CURRENT#Null:C1517)
